Album: Adventurous Ascent (Land of Fans & Music 5 Act 2 Version)
Directory: adventurous-ascent-lofam5a2-version
Artists:
- LudicrousFalcon
Date: September 17, 2023
Date Added: January 29, 2025
URLs:
- https://ludicrousfalcon.bandcamp.com/track/adventurous-ascent-land-of-fans-music-5-act-2-version
- https://www.youtube.com/watch?v=29peKclXrQU
Cover Artists:
- Circlejourney
Cover Art File Extension: png
Color: '#d057cf'
Groups:
- Fandom
Art Tags:
- John
- Rose
- Dave
- Jade
- LoWaS
- LoLaR
- LoHaC
- LoFaF
- Battlefield
Commentary: |-
   <i>LudicrousFalcon:</i> ([Bandcamp about blurb](https://ludicrousfalcon.bandcamp.com/track/adventurous-ascent-land-of-fans-music-5-act-2-version), composer)

   This song is featured in Land of Fans and Music 5 Act 2. [[album:lofam5a2|Listen to the full album here.]]

   I like to think that this song captures the overall vibe of a Sburb session, and the journey of its players reaching toward the goal of creating a new universe while ascending to the god tiers. Not super dark or gritty, but not a easy breeze in the park either. The Adventurous Ascent through Sburb mirrors the ascent through life itself, and the many challenges it brings. This track was originally going to be on an upcoming album for my fanadventure (and it'll probably still be on there despite also being on LOFAM); when I saw submissions open for LOFAM 5.2, I decided to submit some tracks, and Adventurous Ascent was the one that got approved. This is my first track to appear on a LOFAM album, and I'm very happy to see that it made it on!

   <i>Circlejourney:</i> ([Bandcamp about blurb](https://ludicrousfalcon.bandcamp.com/track/adventurous-ascent-land-of-fans-music-5-act-2-version), album artist)

   On reading that the track is about progression through a SBURB session, I pictured all 4 beta kids in a sort of staircase composition, each representing a phase in their session's timeline.

   <i>LudicrousFalcon:</i> ([Bandcamp credits blurb](https://ludicrousfalcon.bandcamp.com/track/adventurous-ascent-land-of-fans-music-5-act-2-version), excerpt)

   Song is from [[album:lofam5a2|"Land of Fans and Music 5 Act 2"]] by [[group:unofficial-mspa-fans|The Homestuck Fan Musicians]]

   Music composed and mixed by LudicrousFalcon<br>
   Mastering by [[artist:ruby]]<br>
   Art by [[artist:circlejourney]]<br>
   Song composed and mixed in Soundtrap, and Cakewalk by Bandlab.

   References [[track:sburban-jungle|"Sburban Jungle"]] by [[artist:michael-guy-bowman]] and [[track:showtime-piano-refrain|"Showtime (Piano Refrain)"]] by [[artist:kevin-regamey]].
---
Track: Adventurous Ascent (Land of Fans & Music 5 Act 2 Version)
Directory: adventurous-ascent-lofam5a2-version
Originally Released As: Adventurous Ascent
Duration: 4:04
URLs:
- https://ludicrousfalcon.bandcamp.com/track/adventurous-ascent-land-of-fans-music-5-act-2-version
- https://www.youtube.com/watch?v=29peKclXrQU
